# $Revision: 1.4 $, $Date: 2001/12/03 08:59:41 $
Summary:	IP Sorcery
Summary(pl):	Generator pakietw IP
Name:		ipsorc
Version:	1.4
Release:	2
License:	GPL
Group:		Applications/Networking
Group(de):	Applikationen/Netzwerkwesen
Group(pl):	Aplikacje/Sieciowe
Source0:	http://www.legions.org/~phric/%{name}-%{version}.tar.gz
Patch0:		%{name}-Makefile.patch
URL:		http://www.legions.org/~phric/ipsorcery.html
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xbindir	/usr/X11R6/bin

%description
IP Sorcery is a TCP/IP packet generator. It has the ability to send
TCP, UDP, and ICMP packets.

%description -l pl
IP Sorcery to generator pakietw TCP/IP. Umie wysya pakiety TCP,
UDP, oraz ICMP. Obsuguje IPv4 i IPv6.

%package gtk
Summary:	IP Sorcery
Summary(pl):	Generator pakietw IP
Group:		X11/Applications/Networking
Group(de):	X11/Applikationen/Netzwerkwesen
Group(pl):	X11/Aplikacje/Sieciowe

%description gtk
IP Sorcery is a TCP/IP packet generator. It has the ability to send
TCP, UDP, and ICMP packets with a GTK+ interface.

%description gtk -l pl
IP Sorcery to generator pakietw TCP/IP. Umie wysya pakiety TCP,
UDP, oraz ICMP korzystajc z graficznego interfejsu GTK+. Obsuguje
IPv4 i IPv6.

%prep
%setup -q
%patch0 -p1

%build
%{__make} CFLAGS="%{rpmcflags}" CC=%{__cc} con
%{__make} CFLAGS="%{rpmcflags}" CC=%{__cc} gtk

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_xbindir}}

install ipmagic $RPM_BUILD_ROOT%{_bindir}
install magic $RPM_BUILD_ROOT%{_xbindir}/gipmagic

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.gz
%attr(755,root,root) %{_bindir}/*

%files gtk
%defattr(644,root,root,755)
%doc README.gz
%attr(755,root,root) %{_xbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ipsorc.spec,v $
Revision 1.4  2001/12/03 08:59:41  qboosh
- pl summaries, fixed spelling, added missing attr to binaries; release 2

Revision 1.3  2001/12/02 18:51:56  kloczek
- added Makefile patch (remove linking with libnsl; fixes for allow pass
  $RPM_OPT_FLAGS to compiler flags),
- move BuildRequire rule to right place,
- remove Require rules (this is autogenerated),
- simplifications and cosmetics.

Revision 1.2  2001/12/02 16:54:56  fastviper
- renamed GTK+ binary to gipmagic

Revision 1.1  2001/12/02 14:11:35  fastviper
- adapterized
- created this spec
